%define module sympy
%define name python-%{module}
%define version 0.5.13
%define release %mkrel 1

Summary: Python library for symbolic mathematics
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{module}-%{version}.tar.lzma
License: BSD
Group: 	 Development/Python
Url: 	 http://code.google.com/p/sympy/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
Requires:  python-numpy
BuildRequires: python-devel

%description
SymPy is a Python library for symbolic mathematics. It aims to become
a full-featured computer algebra system (CAS) while keeping the code
as simple as possible in order to be comprehensible and easily
extensible. SymPy is written entirely in Python and does not require
any external libraries, except optionally for plotting support.

%prep
%setup -q -n %{module}-%{version}

%build
%__python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%__python setup.py install --root=%{buildroot} --record=INSTALLED_FILES
%__sed -ie 's/isympy\.1/isympy\.1\.lzma/' INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc README LICENSE TODO examples/



%changelog
* Fri Mar 07 2008 Lev Givon <lev@mandriva.org> 0.5.13-1mdv2008.1
+ Revision: 181392
- Update to 0.5.13.

* Mon Jan 28 2008 Lev Givon <lev@mandriva.org> 0.5.12-1mdv2008.1
+ Revision: 159158
- Update to 0.5.12.

* Wed Jan 09 2008 Lev Givon <lev@mandriva.org> 0.5.11-1mdv2008.1
+ Revision: 147008
- Update to 0.5.11.

* Mon Dec 24 2007 Lev Givon <lev@mandriva.org> 0.5.9-1mdv2008.1
+ Revision: 137572
- Update to 0.5.9.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Dec 07 2007 Lev Givon <lev@mandriva.org> 0.5.8-1mdv2008.1
+ Revision: 116294
- Update to 0.5.8.

* Sun Nov 18 2007 Lev Givon <lev@mandriva.org> 0.5.7-1mdv2008.1
+ Revision: 109762
- Update to 0.5.7.

* Wed Nov 07 2007 Lev Givon <lev@mandriva.org> 0.5.6-1mdv2008.1
+ Revision: 106758
- import python-sympy


* Sun Nov 4 2007 Lev Givon <lev@mandriva.org> 0.5.6-1mdv2008.0
- Package for Mandriva.
